import './Style.css';
import React, { useState } from 'react';

const Account = () => {

    const [formData, setFormData] = useState({
        firstname: '',
        lastname: '',
        address1: '',
        address2: '',
        state: '',
        zipcode: '',
        phone: '',
        email: '',
    });

    const handleSubmit = async (e) => {
        e.preventDefault();

        try {
            const response = await fetch('http://localhost:8080/account', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                },
                body: JSON.stringify(formData),
            });

            if (response.ok) {
                console.log('Account data sent successfully');

            } else {
                console.log('Error sending account data');
            }
        } catch (error) {
            console.error('Error sending account data:', error);
        }
    };


    return (
        <div>
            <meta charSet="UTF-8"></meta>
            <meta name="viewport" content="width=device-width, initial-scale=1"></meta>
            <link rel="stylesheet" type="text/css" href="Style.css"></link>
            <title>Account</title>




            <form onSubmit={handleSubmit}>
            <p><u>Fill out form to edit account details</u></p>

            <label htmlFor="firstname">First Name: </label>
            <input type="text" placeholder="First Name" id="firstname"></input>
            <br></br>

                    <label htmlFor="lastname">Last Name: </label>
                    <input type="text" placeholder="Last Name" id="lastname"></input>
                    <br></br>

                            <label htmlFor="address1">Address Line 1: </label>
                            <input type="text" placeholder="Address line 1" id="address1"></input>
                            <br></br>

                                    <label htmlFor="address2">Address line 2: </label>
                                    <input type="text" placeholder="Address line 2" id="address2"></input>
                                    <br></br>

                                            <label htmlFor="state">State: </label>
                                            <select id="state">
                                                <option value="">Select State</option>
                                                <option value="AL">Alabama</option>
                                                <option value="AK">Alaska</option>
                                                <option value="AZ">Arizona</option>
                                                <option value="AR">Arkansas</option>
                                                <option value="CA">California</option>
                                                <option value="CO">Colorado</option>
                                                <option value="CT">Connecticut</option>
                                                <option value="DE">Delaware</option>
                                                <option value="DC">District Of Columbia</option>
                                                <option value="FL">Florida</option>
                                                <option value="GA">Georgia</option>
                                                <option value="HI">Hawaii</option>
                                                <option value="ID">Idaho</option>
                                                <option value="IL">Illinois</option>
                                                <option value="IN">Indiana</option>
                                                <option value="IA">Iowa</option>
                                                <option value="KS">Kansas</option>
                                                <option value="KY">Kentucky</option>
                                                <option value="LA">Louisiana</option>
                                                <option value="ME">Maine</option>
                                                <option value="MD">Maryland</option>
                                                <option value="MA">Massachusetts</option>
                                                <option value="MI">Michigan</option>
                                                <option value="MN">Minnesota</option>
                                                <option value="MS">Mississippi</option>
                                                <option value="MO">Missouri</option>
                                                <option value="MT">Montana</option>
                                                <option value="NE">Nebraska</option>
                                                <option value="NV">Nevada</option>
                                                <option value="NH">New Hampshire</option>
                                                <option value="NJ">New Jersey</option>
                                                <option value="NM">New Mexico</option>
                                                <option value="NY">New York</option>
                                                <option value="NC">North Carolina</option>
                                                <option value="ND">North Dakota</option>
                                                <option value="OH">Ohio</option>
                                                <option value="OK">Oklahoma</option>
                                                <option value="OR">Oregon</option>
                                                <option value="PA">Pennsylvania</option>
                                                <option value="RI">Rhode Island</option>
                                                <option value="SC">South Carolina</option>
                                                <option value="SD">South Dakota</option>
                                                <option value="TN">Tennessee</option>
                                                <option value="TX">Texas</option>
                                                <option value="UT">Utah</option>
                                                <option value="VT">Vermont</option>
                                                <option value="VA">Virginia</option>
                                                <option value="WA">Washington</option>
                                                <option value="WV">West Virginia</option>
                                                <option value="WI">Wisconsin</option>
                                                <option value="WY">Wyoming</option>
                                            </select>

                                            <br></br>
                                            <label htmlFor="zipcode">Zip Code: </label>
                                            <input type="text" placeholder="Zipcode" id="zipcode"></input>
                                            <br></br>

                                            <label htmlFor="phone">Phone Number: </label>
                                            <input type="text" placeholder="Phone Number"
                                                   id="phone"/>
                                            <br></br>

                                            <label htmlFor="email">Email: </label>
                                            <input type="text" placeholder="Email" id="email"></input>
                                        <br></br>

                                        <br></br>
                                            <button type="submit" onClick={handleSubmit}>Submit</button>
                                            <button type="reset">Reset</button>
            </form>
            <footer>
                                            <a href="" target="_blank">Link to Other Site</a>------
                                            <a href="" target="_blank">Link to Other Site</a>------
                                            <a href="" target="_blank">Link to Other Site</a>------
                                            <a href="">Log out</a>
            </footer>


        </div>
    );
};


export default Account;

