import React, { useState } from 'react';
import './Style.css';
import Login from './Login';
import Account from './Account';
import Register from './Register';

const App = () => {
    const [currentPage, setCurrentPage] = useState('login');

    const renderPage = () => {
        switch (currentPage) {
            case 'login':
                return <Login />;
            case 'account':
                return <Account />;
            case 'register':
                return <Register />;
            default:
                return null;
        }
    };

    return (
        <div>
            <table>
                <tbody>
                <tr>

                    <td><button onClick={() => setCurrentPage('login')}>Login</button></td>
                    <td><button onClick={() => setCurrentPage('account')}>Account</button></td>
                    <td><button onClick={() => setCurrentPage('register')}>Register</button></td>

                </tr>
                </tbody>
            </table>

            {renderPage()}

        </div>
    );
};

export default App;
