import React, { useState } from 'react';
import './Style.css';
const Register = () => {
    const [username, setUsername] = useState('');
    const [password, setPassword] = useState('');
    const [repeatPassword, setRepeatPassword] = useState('');
    function handleSubmit(e)  {
        e.preventDefault();

        if (!username || !password || password !== repeatPassword) {
            console.log('Registration failed');
            return;
        }

        if (password !== repeatPassword) {
            console.log('Passwords do not match');
            return;
        }
        fetch('http://localhost:8080/Register', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
            },
            body: JSON.stringify({ username, password }),
        })
            .then(response => {
                if (response.ok) {
                    console.log('Registration successful');
                } else {
                    console.log('Registration failed');
                }
            })
            .catch(error => {
                console.error('Error during registration:', error);
            });
    }

    return(
        <div>
            <meta charSet="UTF-8"></meta>
            <meta name="viewport" content="width=device-width, initial-scale=1"></meta>
            <link rel="stylesheet" href="Style.css"></link>
            <title>Register Page</title>


            <form>

                <p><u>Please fill out this form to Register</u></p>

                <label htmlFor="username">Username: </label>
                <input type = "text" placeholder = "Enter Username" id="username" autoComplete="off" onChange={(e) => setUsername(e.target.value)}></input>
                <br></br>

                <label htmlFor="password">Password: </label>
                <input type = "password" placeholder = "Enter Password" id="password" autoComplete="off" onChange={(e) => setPassword(e.target.value)}></input>
                <br></br>

                <label htmlFor="repeatpassword">Repeat Password: </label>
                <input type = "password" placeholder = "Repeat Password" id="repeatpassword" autoComplete="off"    onChange={(e) => setRepeatPassword(e.target.value)}></input>
                <br></br>

                <button type="submit" onClick={handleSubmit}>Submit</button>
                <button type="reset">Reset</button>

            </form>

            <footer>

                <a href="" target="_blank">Link to Other Site</a>------
                <a href="" target="_blank">Link to Other Site</a>------
                <a href="" target="_blank">Link to Other Site</a>------
                <a href="">Log out</a>

            </footer>

        </div>

    );

}

export default Register;
